## pyturbojpeg 1.8.2

=== debian/changelog ===
pyturbojpeg (1.8.2-1) unstable; urgency=medium

  * Initial release. (Closes: #1077086)

 -- Edward Betts <edward@4angle.com>  Thu, 16 Oct 2025 11:35:53 +0100
