=== debian/control ===
Source: pyturbojpeg
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Standards-Version: 4.7.2
Homepage: https://github.com/lilohuang/PyTurboJPEG
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/pyturbojpeg
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/pyturbojpeg.git

Package: python3-turbojpeg
Architecture: all
Depends:
 libturbojpeg0,
 ${misc:Depends},
 ${python3:Depends},
Description: Wrapper for decoding and encoding JPEG images using libjpeg-turbo
 This library provides Python bindings for decoding and encoding JPEG images
 via libjpeg-turbo, making it possible to handle JPEG data as arrays without
 invoking external tools. It enables direct manipulation of image buffers,
 supports a range of pixel formats including BGR, grayscale, and YUV, and can
 perform transformations such as cropping and scaling without full
 decompression of the image. Color space conversion, progressive JPEG handling,
 and quality adjustments are available through configurable options. The
 library works with image data in memory and can interact with other libraries
 that process arrays, such as those commonly used for image analysis or
 computer vision. Support is also available for retrieving JPEG image
 properties and working with Exif orientation tags for correct display. Images
 may be read from and written to files or handled as raw memory buffers,
 depending on application requirements.
