=== debian/tests/control ===
Tests: import, encode-decode, scale, crop, yuv
Depends: @
