=== debian/watch ===
Version: 5

Template: Github
Owner: lilohuang
Project: PyTurboJPEG
